Generation Framework

## org.eclipse.gmf.gmfgraph.provider
Class GMFGraphEditPlugin

    java.lang.Object
      org.eclipse.emf.common.EMFPlugin
          org.eclipse.gmf.gmfgraph.provider.GMFGraphEditPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

public final class GMFGraphEditPlugin
extends EMFPlugin

This is the central singleton for the GMFGraph editor plugin.

** Generated **

Nested Class Summary
`static class` `GMFGraphEditPlugin.Implementation` The actual implementation of the Eclipse Plugin

Nested classes inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static GMFGraphEditPlugin` `INSTANCE` Keep track of the singleton

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`baseURL, delegateResourceLocators, images, IS_ECLIPSE_RUNNING, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`GMFGraphEditPlugin()` Create the instance

Method Summary
`static GMFGraphEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin
`ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`delegatedGetImage, delegatedGetString, doGetImage, getBaseURL, getImage, getPluginLogger, getString, getString, getString, getString, getSymbolicName, log, main, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final GMFGraphEditPlugin INSTANCE

  Keep track of the singleton.

  ** Generated **

Constructor Detail

### GMFGraphEditPlugin

    public GMFGraphEditPlugin()

  Create the instance.

** Generated **

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.
  ** Generated **

### getPlugin

    public static GMFGraphEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.